summaryrefslogtreecommitdiffstats
path: root/bin/doinfo
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2008-11-15 02:23:43 +0000
committerZac Medico <zmedico@gentoo.org>2008-11-15 02:23:43 +0000
commitf18540f507de4b434c0dfccbcea747654c32b431 (patch)
tree74217d628380712cbae387ffc27ad1ecd9138850 /bin/doinfo
parent420a428b6e59afd5e5743c8ac9b19a281410e9f1 (diff)
downloadportage-f18540f507de4b434c0dfccbcea747654c32b431.tar.gz
portage-f18540f507de4b434c0dfccbcea747654c32b431.tar.bz2
portage-f18540f507de4b434c0dfccbcea747654c32b431.zip
Fix new* and do* ebuild helpers to generate consistent error messages for
missing files and generate an appropriate QA Notice when such an error is detected in the build log. Thanks to Diego 'Flameeyes' Pettenò <flameeyes@g.o> for the suggestion. svn path=/main/trunk/; revision=11916
Diffstat (limited to 'bin/doinfo')
-rwxr-xr-xbin/doinfo9
1 files changed, 8 insertions, 1 deletions
diff --git a/bin/doinfo b/bin/doinfo
index 7e1dd30ca..1c9e7cc07 100755
--- a/bin/doinfo
+++ b/bin/doinfo
@@ -12,4 +12,11 @@ if [[ ! -d ${D}usr/share/info ]] ; then
install -d "${D}usr/share/info" || exit 1
fi
-exec install -m0644 "$@" "${D}usr/share/info"
+install -m0644 "$@" "${D}usr/share/info"
+rval=$?
+if [ $rval -ne 0 ] ; then
+ for x in "$@" ; do
+ [ -e "$x" ] || echo "!!! ${0##*/}: $x does not exist" 1>&2
+ done
+fi
+exit $rval